#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	24.12.3
%define		qt_ver		6.5.2
%define		kf_ver		5.240.0
%define		kaname		qmlkonsole
Summary:	A terminal application built for touch
Summary(pl.UTF-8):	Aplikacja terminala dla ekranów dotykowych
Name:		ka6-%{kaname}
Version:	24.12.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	dd013fc0815496cc6a07c3a9f38397ad
URL:		https://apps.kde.org/qmlkonsole/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Qt5Compat-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Svg-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-addons-devel >= 0.6
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-kpty-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
# C++20
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Network >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	Qt6Qt5Compat >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Svg >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-kirigami-addons >= 0.6
Requires:	kf6-kpty >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Obsoletes:	ka5-qmlkonsole < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A terminal application built for touch, based on qmltermwidget
<https://github.com/Swordfish90/qmltermwidget>.

%description -l pl.UTF-8
Aplikacja terminala dla ekranów dotykowych, oparta na qmltermwidget
<https://github.com/Swordfish90/qmltermwidget>.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/qmlkonsole
%{_desktopdir}/org.kde.qmlkonsole.desktop
%{_datadir}/config.kcfg/terminalsettings.kcfg
%{_iconsdir}/hicolor/scalable/apps/org.kde.qmlkonsole.svg
%{_datadir}/metainfo/org.kde.qmlkonsole.appdata.xml
%changelog
* Sat Mar 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-qmlkonsole.git;a=log;h=master

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 145997a
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6a463a2
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 25ce0a7
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c8a4e92
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5e0944d
- updated to 24.08.3

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> a388e05
- further dependencies update, no longer uses qmltermwidget (which is qt5 only); release 2

* Mon Oct 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 9e8d5df
- package README

* Mon Oct 21 2024 Jakub Bogusz <qboosh@pld-linux.org> b3ee976
- updated dependencies

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 6e3bb15
- pl, cleanup

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 78efb2a
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8433b35
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 98fa7bb
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 03019f9
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fa1af78
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 19f132f
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9bf948f
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 65d2b5f
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f05c2f4
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0d4501f
- updated to 24.02.0

